---
- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:     '&IDC_ProcessRelatedUpdatesMethod;'
    name:      PRU - Process Related Updates Method
    index:     54
    abstract:  no
    inherits: '&IDC_Method;'
    customTagName: 'processRelatedUpdatesMethod'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_Static;'
      customTagName: 'static'
    relationships:
    - instance: '&IDR_Process_Related_Updates_Method__uses__Executable_for_PUMB;'
      customTagName: 'usesExecutableForPUMB'
    - instance: '&IDR_Process_Related_Updates_Method__processes_for__Class;'
      customTagName: 'processesForClass'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'PRU - Process Related Updates Method'

  - relationship: '&IDR_Class__processed_by__Process_Related_Updates_Method;'
    index: 183
    sourceClassId: '&IDC_Class;'
    type: 'processed by'
    destinationClassId: '&IDC_ProcessRelatedUpdatesMethod;'
    siblingRelationshipId: '&IDR_Process_Related_Updates_Method__processes_for__Class;'
    singular: no

  - relationship: '&IDR_Process_Related_Updates_Method__processes_for__Class;'
    index: 184
    sourceClassId: '&IDC_ProcessRelatedUpdatesMethod;'
    type: 'processes for'
    destinationClassId: '&IDC_Class;'
    siblingRelationshipId: '&IDR_Class__processed_by__Process_Related_Updates_Method;'
    singular: no
